import { AbstractUiComponent } from "./AbstractUiComponent";
import { TeamAppsUiContext } from "./TeamAppsUiContext";
import { UiCollapsible_CollapseStateChangedEvent, UiCollapsibleCommandHandler, UiCollapsibleConfig, UiCollapsibleEventSource } from "../generated/UiCollapsibleConfig";
import { TeamAppsEvent } from "./util/TeamAppsEvent";
export declare class UiCollapsible extends AbstractUiComponent<UiCollapsibleConfig> implements UiCollapsibleCommandHandler, UiCollapsibleEventSource {
    readonly onCollapseStateChanged: TeamAppsEvent<UiCollapsible_CollapseStateChangedEvent>;
    private $main;
    private $icon;
    private $caption;
    private $body;
    private $expander;
    constructor(config: UiCollapsibleConfig, context: TeamAppsUiContext);
    doGetMainElement(): HTMLElement;
    setContent(content: unknown): void;
    setCollapsed(collapsed: boolean): any;
    setIconAndCaption(icon: string, caption: string): any;
}
